> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Update OAuth App > Update an existing app. Permission required: `manage-oauth-apps` ## OpenAPI ````json POST /api/v1/oauth-apps.update { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Integrations" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Integration" }, { "name": "OAuth Apps" }, { "name": "WebDAV" } ], "paths": { "/api/v1/oauth-apps.update": { "post": { "tags": [ "OAuth Apps" ], "summary": "Update OAuth App", "description": "Update an existing app. Permission required: `manage-oauth-apps`", "operationId": "post-api-v1-oauth-apps.update", "parameters": [ { "$ref": "#/components/parameters/X-Auth-Token" }, { "$ref": "#/components/parameters/X-User-Id" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "name": { "type": "string", "description": "Name of the app that you want to update." }, "redirectUri": { "type": "string", "description": "The URL to redirect the OAuth app." }, "active": { "type": "boolean", "description": "Whether the app will be active or not. Enter a boolean value, `true` or `false`." }, "appId": { "type": "string", "description": "The app ID. The app ID. This is created when you create an app. You can use the Get List of OAuth Apps endpoint to get the app ID." } }, "required": [ "name", "redirectUri", "active", "appId" ] }, "examples": { "Example 1": { "value": { "name": "test-oauth-app", "redirectUri": "https://testuri.com", "active": "true" } } } } } }, "responses": { "200": { "description": "", "content": { "application/json": { "schema": { "type": "object", "properties": { "_id": { "type": "string" }, "name": { "type": "string" }, "redirectUri": { "type": "string" }, "active": { "type": "boolean" }, "clientId": { "type": "string" }, "clientSecret": { "type": "string" }, "_createdAt": { "type": "string" }, "_updatedAt": { "type": "string" }, "_createdBy": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } }, "_updatedBy": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } }, "success": { "type": "boolean" } } }, "examples": { "Example 1": { "value": { "_id": "65a7d77142a7e12453052d59", "name": "test-oauth-app2", "redirectUri": "https://testuri2.com", "active": "false", "clientId": "fxHAgLRjP3RswMe67", "clientSecret": "QwIAYE1_8M02p-Js8SHZyTPg7HpJm-1ZtbjuSp8bXpP", "_createdAt": "2024-01-17T13:34:41.445Z", "_updatedAt": "2024-01-17T13:37:16.966Z", "_createdBy": { "_id": "JFTcMhEAFbNPfnp49", "username": "math.bar" }, "_updatedBy": { "_id": "JFTcMhEAFbNPfnp49", "username": "math.bar" }, "success": "true" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": "false", "error": "must have required property 'name' [invalid-params]", "errorType": "invalid-params" } }, "Example 2": { "value": { "success": "false", "error": "must have required property 'active' [invalid-params]", "errorType": "invalid-params" } }, "Example 3": { "value": { "success": "false", "error": "must have required property 'redirectUri' [invalid-params]", "errorType": "invalid-params" } }, "Example 4": { "value": { "success": "false", "error": "must have required property 'appId' [invalid-params]", "errorType": "invalid-params" } } } } } } } } } }, "components": { "parameters": { "X-Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The authorization token of the user.", "required": "true", "schema": { "type": "string" }, "example": "9HqLlyZOugD_0YdwAJF8V47U3QHXSq" }, "X-User-Id": { "name": "X-User-Id", "in": "header", "description": "The user ID of the user.", "required": "true", "schema": { "type": "string" }, "example": "aobEdbYhXfu5hkeqG" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````